package com.hfkj.service;

import com.hfkj.entity.BsMerPlatformNo;
import com.hfkj.sysenum.PlatformTypeEnum;

import java.util.List;
import java.util.Map;

/**
 * 商户平台商户
 * @author hurui
 */
public interface BsMerPlatformNoService {

    /**
     * 编辑
     * @param merPlatformNo
     */
    void editMerPlatformNo(BsMerPlatformNo merPlatformNo);

    /**
     * 查询平台商户号
     * @param merId
     * @param type
     * @return
     */
    BsMerPlatformNo getPlatformNo(Long merId, PlatformTypeEnum type);

    BsMerPlatformNo getPlatformNoByCupNo(String merCupNo);

    /**
     * 查询商户号
     * @param param
     * @return
     */
    List<BsMerPlatformNo> getMerPlatformNoList(Map<String, Object> param);
}
